Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin
Class SSTransportInfo

    java.lang.Object
      com.tibco.tibjms.admin.TransportInfo
          com.tibco.tibjms.admin.SSTransportInfo

    public class SSTransportInfo

extends TransportInfo

This class represents TIBCO SmartSockets transports that are configured on the EMS server. SmartSockets transports are mechanisms for importing and exporting messages between EMS and TIBCO SmartSockets.

Field Summary
`static int` | `DELIVERY_MODE_ALL` SmartSockets ALL delivery mode.
`static int` | `DELIVERY_MODE_BEST_EFFORT` SmartSockets BEST_EFFORT delivery mode.
`static int` | `DELIVERY_MODE_ORDERED` SmartSockets ORDERED delivery mode.
`static int` | `DELIVERY_MODE_PERSISTENT` SmartSockets PERSISTENT delivery mode.
`static int` | `DELIVERY_MODE_SOME` SmartSockets SOME delivery mode.
`static int` | `IMPORT_SS_HEADERS_ALL` All SmartSockets headers will be imported.
`static int` | `IMPORT_SS_HEADERS_NONE` The SmartSockets sender is the only header that will be imported.
`static int` | `IMPORT_SS_HEADERS_TYPE_NUM` The SmartSockets sender and the SmartSockets message type are the only headers that will be imported.
`static int` | `LOAD_BALANCE_MODE_NONE` SmartSockets NONE load balance mode.
`static int` | `LOAD_BALANCE_MODE_ROUND_ROBIN` SmartSockets ROUND_ROBIN load balance mode.
`static int` | `LOAD_BALANCE_MODE_SORTED` SmartSockets SORTED load balance mode.
`static int` | `LOAD_BALANCE_MODE_WEIGHTED` SmartSockets WEIGHTED load balance mode.
`static int` | `PRESERVE_GMD_ALWAYS` Always preserve failed SmartSockets GMD messages in the EMS undelivered queue.
`static int` | `PRESERVE_GMD_NEVER` Never preserve failed SmartSockets GMD messages in the EMS undelivered queue.
`static int` | `PRESERVE_GMD_RECEIVERS` Only preserve failed SmartSockets GMD messages in the EMS undelivered queue if that GMD message had one or more receivers.
`static int` | `SUBSCRIBE_MODE_ALL` Deprecated. As of release 5.0 subscribe mode is not configurable.
`static int` | `SUBSCRIBE_MODE_EXACT` Deprecated. As of release 5.0 subscribe mode is not configurable.

Fields inherited from class com.tibco.tibjms.admin.TransportInfo
`NON_PERSISTENT, PERSISTENT, RELIABLE, TPORT_ALL, TPORT_RV, TPORT_RVCM, TPORT_SS`

Method Summary
`int` | `getDeliveryMode()` Get the quality of service which delivers messages to the SmartSockets server over this transport.
`boolean` | `getGmdFileDelete()` Indicates whether or not the EMS server should delete the GMD store file and create a new one when creating this transport.
`int` | `getImportSSHeaders()` Indicates which SmartSockets headers will be imported.
`int` | `getLoadBalanceMode()` Get the load balancing regimen for messages that this transport exports to the SmartSockets server.
`boolean` | `getOverrideLoadBalanceMode()` Indicates whether or not the RTserver should deliver all messages on this client connection, even if other clients participate in load balancing.
`int` | `getPreserveGMD()` Indicates what happens to messages when a failure occurs when they are being exported via SmartSockets GMD.
`java.lang.String` | `getProject()` Get the SmartSockets project name.
`java.lang.String` | `getServerNames()` Get the names of the RTservers this transport connects to.
`int` | `getSubscribeMode()` Deprecated. As of release 5.0 subscribe mode is not configurable.
`java.lang.String` | `getUsername()` Get the username used by the EMS server to authenticate itself to the SmartSockets server.
`java.lang.String` | `toString()`

Methods inherited from class com.tibco.tibjms.admin.TransportInfo
`getExportHeaders, getExportProperties, getName, getQueueImportDeliveryMode, getTopicImportDeliveryMode, getType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DELIVERY_MODE_BEST_EFFORT

    public static final int DELIVERY_MODE_BEST_EFFORT

  SmartSockets BEST_EFFORT delivery mode.

  See Also:
    Constant Field Values

### DELIVERY_MODE_SOME

    public static final int DELIVERY_MODE_SOME

  SmartSockets SOME delivery mode.

  See Also:
    Constant Field Values

### DELIVERY_MODE_ALL

    public static final int DELIVERY_MODE_ALL

  SmartSockets ALL delivery mode.

  See Also:
    Constant Field Values

### DELIVERY_MODE_ORDERED

    public static final int DELIVERY_MODE_ORDERED

  SmartSockets ORDERED delivery mode.

  See Also:
    Constant Field Values

### DELIVERY_MODE_PERSISTENT

    public static final int DELIVERY_MODE_PERSISTENT

  SmartSockets PERSISTENT delivery mode.

  See Also:
    Constant Field Values

### LOAD_BALANCE_MODE_NONE

    public static final int LOAD_BALANCE_MODE_NONE

  SmartSockets NONE load balance mode.

  See Also:
    Constant Field Values

### LOAD_BALANCE_MODE_ROUND_ROBIN

    public static final int LOAD_BALANCE_MODE_ROUND_ROBIN

  SmartSockets ROUND_ROBIN load balance mode.

  See Also:
    Constant Field Values

### LOAD_BALANCE_MODE_WEIGHTED

    public static final int LOAD_BALANCE_MODE_WEIGHTED

  SmartSockets WEIGHTED load balance mode.

  See Also:
    Constant Field Values

### LOAD_BALANCE_MODE_SORTED

    public static final int LOAD_BALANCE_MODE_SORTED

  SmartSockets SORTED load balance mode.

  See Also:
    Constant Field Values

### SUBSCRIBE_MODE_EXACT

    public static final int SUBSCRIBE_MODE_EXACT

  Deprecated. As of release 5.0 subscribe mode is not configurable.
  SmartSockets EXACT subscribe mode.

  See Also:
    Constant Field Values

### SUBSCRIBE_MODE_ALL

    public static final int SUBSCRIBE_MODE_ALL

  Deprecated. As of release 5.0 subscribe mode is not configurable.
  SmartSockets ALL subscribe mode.

  See Also:
    Constant Field Values

### IMPORT_SS_HEADERS_NONE

    public static final int IMPORT_SS_HEADERS_NONE

  The SmartSockets sender is the only header that will be imported.

  Since:
    EMS 4.2
  See Also:
    Constant Field Values

### IMPORT_SS_HEADERS_TYPE_NUM

    public static final int IMPORT_SS_HEADERS_TYPE_NUM

  The SmartSockets sender and the SmartSockets message type are the only headers that will be imported.

  Since:
    EMS 4.2
  See Also:
    Constant Field Values

### IMPORT_SS_HEADERS_ALL

    public static final int IMPORT_SS_HEADERS_ALL

  All SmartSockets headers will be imported.

  Since:
    EMS 4.2
  See Also:
    Constant Field Values

### PRESERVE_GMD_NEVER

    public static final int PRESERVE_GMD_NEVER

  Never preserve failed SmartSockets GMD messages in the EMS undelivered queue.

  Since:
    EMS 4.2
  See Also:
    Constant Field Values

### PRESERVE_GMD_ALWAYS

    public static final int PRESERVE_GMD_ALWAYS

  Always preserve failed SmartSockets GMD messages in the EMS undelivered queue.

  Since:
    EMS 4.2
  See Also:
    Constant Field Values

### PRESERVE_GMD_RECEIVERS

    public static final int PRESERVE_GMD_RECEIVERS

  Only preserve failed SmartSockets GMD messages in the EMS undelivered queue if that GMD message had one or more receivers.

  Since:
    EMS 4.2
  See Also:
    Constant Field Values

Method Detail

### getServerNames

    public java.lang.String getServerNames()

  Get the names of the RTservers this transport connects to.

  Returns:
    the server names

### getUsername

    public java.lang.String getUsername()

  Get the username used by the EMS server to authenticate itself to the SmartSockets server.

  Returns:
    the username

### getProject

    public java.lang.String getProject()

  Get the SmartSockets project name.

  Returns:
    the project name

### getDeliveryMode

    public int getDeliveryMode()

  Get the quality of service which delivers messages to the SmartSockets server over this transport.

  Returns:
    the delivery mode

### getLoadBalanceMode

    public int getLoadBalanceMode()

  Get the load balancing regimen for messages that this transport exports to the SmartSockets server.

  Returns:
    the load balancing regimen

### getOverrideLoadBalanceMode

    public boolean getOverrideLoadBalanceMode()

  Indicates whether or not the RTserver should deliver all messages on this client connection, even if other clients participate in load balancing.

  Returns:
    true if load balancing is to be disabled, false otherwise

### getGmdFileDelete

    public boolean getGmdFileDelete()

  Indicates whether or not the EMS server should delete the GMD store file and create a new one when creating this transport.

  Returns:
    true if the EMS server should delete the GMD store file, false otherwise

### getSubscribeMode

    public int getSubscribeMode()

  Deprecated. As of release 5.0 subscribe mode is not configurable.

  Get the subscribe mode for the transport.

  Returns:
    the subscribe mode

### getImportSSHeaders

    public int getImportSSHeaders()

  Indicates which SmartSockets headers will be imported. Possible values are `IMPORT_SS_HEADERS_NONE`, `IMPORT_SS_HEADERS_TYPE_NUM` and `IMPORT_SS_HEADERS_ALL`

  Returns:
    the headers that will be imported
  Since:
    EMS 4.2

### getPreserveGMD

    public int getPreserveGMD()

  Indicates what happens to messages when a failure occurs when they are being exported via SmartSockets GMD. Possible values are `PRESERVE_GMD_NEVER`, `PRESERVE_GMD_ALWAYS` and `PRESERVE_GMD_RECEIVERS`.

  Returns:
    situations when failed messages will be preserved in the EMS undelivered queue.
  Since:
    EMS 4.2

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved